#請注意，請先確認在 mod.R 中，命名交互作用項時，把自變項放前面，調節變項放後面。
#例如，應該命名成 xw，而不是 wx。

#輸出畫調節中介圖所需
rst <-  matrix('',4,6)
effnames <- c('m~x','m~xw','y~m','y~mw')
rst[,1] <- sapply(c(1:4),
   function(x){
   tmp <- coef(result)[effnames[x]]
   ifelse(is.na(tmp), 0, tmp)})
effects <- names(coef(result))
vars <- sapply(c(1:4),
   function(x){
   tmp <- which(effects==effnames[x])
   ifelse(length(tmp)==0, 1, tmp)}) 
rst[,3:6] <- result@vcov$vcov[vars,vars]
rst[,2]<-colnames(rst)[3:6]<-rownames(rst)<-effnames
colnames(rst)[1:2]<-c('係數','共變數矩陣')
write.csv(rst, file="mod1_fig.csv",row.names=F)

